The Google My Business API provides an interface for managing business location information on Google.

- [REST Resource: v4.accounts](https://developers.google.com/my-business/reference/rest#v4.accounts)
- [REST Resource: v4.accounts.admins](https://developers.google.com/my-business/reference/rest#v4.accounts.admins)
- [REST Resource: v4.accounts.invitations](https://developers.google.com/my-business/reference/rest#v4.accounts.invitations)
- [REST Resource: v4.accounts.locations](https://developers.google.com/my-business/reference/rest#v4.accounts.locations)
- [REST Resource: v4.accounts.locations.admins](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.admins)
- [REST Resource: v4.accounts.locations.followers](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.followers)
- [REST Resource: v4.accounts.locations.insuranceNetworks](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.insuranceNetworks)
- [REST Resource: v4.accounts.locations.localPosts](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.localPosts)
- [REST Resource: v4.accounts.locations.media](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.media)
- [REST Resource: v4.accounts.locations.media.customers](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.media.customers)
- [REST Resource: v4.accounts.locations.questions](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.questions)
- [REST Resource: v4.accounts.locations.questions.answers](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.questions.answers)
- [REST Resource: v4.accounts.locations.reviews](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.reviews)
- [REST Resource: v4.accounts.locations.verifications](https://developers.google.com/my-business/reference/rest#v4.accounts.locations.verifications)
- [REST Resource: v4.attributes](https://developers.google.com/my-business/reference/rest#v4.attributes)
- [REST Resource: v4.categories](https://developers.google.com/my-business/reference/rest#v4.categories)
- [REST Resource: v4.chains](https://developers.google.com/my-business/reference/rest#v4.chains)
- [REST Resource: v4.googleLocations](https://developers.google.com/my-business/reference/rest#v4.googleLocations)
- [REST Resource: v1.media](https://developers.google.com/my-business/reference/rest#v1.media)

## Service: mybusiness.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://mybusiness.googleapis.com/$discovery/rest?version=v4>
- <https://mybusiness.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mybusiness.googleapis.com`

## REST Resource: [v4.accounts](https://developers.google.com/my-business/reference/rest/v4/accounts)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts/create (deprecated)` | `POST /v4/accounts` Creates an account with the specified name and type under the given parent. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts/deleteNotifications (deprecated)` | `DELETE /v4/{name=accounts/*/notifications}` Clears the pubsub notification settings for the account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts/generateAccountNumber (deprecated)` | `POST /v4/{name=accounts/*}:generateAccountNumber` Generates an account number for this account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts/get (deprecated)` | `GET /v4/{name=accounts/*}` Gets the specified account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts/getNotifications (deprecated)` | `GET /v4/{name=accounts/*/notifications}` Returns the pubsub notification settings for the account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts/list (deprecated)` | `GET /v4/accounts` Lists all of the accounts for the authenticated user. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts/listRecommendGoogleLocations` | `GET /v4/{name=accounts/*}:recommendGoogleLocations` List all the `https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation`s that have been recommended to the specified Business Profile account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts/update (deprecated)` | `PUT /v4/{name=accounts/*}` Updates the specified business account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts/updateNotifications (deprecated)` | `PUT /v4/{name=accounts/*/notifications}` Sets the pubsub notification settings for the account informing Business Profile which topic to send pubsub notifications for: - New reviews for locations administered by the account. |

## REST Resource: [v4.accounts.admins](https://developers.google.com/my-business/reference/rest/v4/accounts.admins)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.admins/create (deprecated)` | `POST /v4/{parent=accounts/*}/admins` Invites the specified user to become an administrator for the specified account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.admins/delete (deprecated)` | `DELETE /v4/{name=accounts/*/admins/*}` Removes the specified admin from the specified account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.admins/list (deprecated)` | `GET /v4/{parent=accounts/*}/admins` Lists the admins for the specified account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.admins/patch (deprecated)` | `PATCH /v4/{name=accounts/*/admins/*}` Updates the Admin for the specified Account Admin. |

## REST Resource: [v4.accounts.invitations](https://developers.google.com/my-business/reference/rest/v4/accounts.invitations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/accept (deprecated)` | `POST /v4/{name=accounts/*/invitations/*}:accept` Accepts the specified invitation. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/decline (deprecated)` | `POST /v4/{name=accounts/*/invitations/*}:decline` Declines the specified invitation. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.invitations/list (deprecated)` | `GET /v4/{parent=accounts/*}/invitations` Lists pending invitations for the specified account. |

## REST Resource: [v4.accounts.locations](https://developers.google.com/my-business/reference/rest/v4/accounts.locations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/associate` | `POST /v4/{name=accounts/*/locations/*}:associate` Associates a location to a place ID. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGet` | `POST /v4/{name=accounts/*}/locations:batchGet` Gets all of the specified locations in the given account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews` | `POST /v4/{name=accounts/*}/locations:batchGetReviews` Returns the paginated list of reviews for all specified locations. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/clearAssociation` | `POST /v4/{name=accounts/*/locations/*}:clearAssociation` Clears an association between a location and its place ID. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/create` | `POST /v4/{parent=accounts/*}/locations` Creates a new `https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location` owned by the specified account, and returns it. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/delete` | `DELETE /v4/{name=accounts/*/locations/*}` Deletes a location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions` | `POST /v4/{name=accounts/*/locations/*}:fetchVerificationOptions` Reports all eligible verification options for a location in a specific language. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/findMatches` | `POST /v4/{name=accounts/*/locations/*}:findMatches` Finds all of the possible locations that are a match to the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/get` | `GET /v4/{name=accounts/*/locations/*}` Gets the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getFoodMenus` | `GET /v4/{name=accounts/*/locations/*/foodMenus}` Returns the food menus of a specific location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getGoogleUpdated` | `GET /v4/{name=accounts/*/locations/*}:googleUpdated` Gets the Google-updated version of the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getHealthProviderAttributes` | `GET /v4/{name=accounts/*/locations/*/healthProviderAttributes}` Returns the Health provider attributes of a specific location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getServiceList` | `GET /v4/{name=accounts/*/locations/*/serviceList}` Get the specified service list of a location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/list` | `GET /v4/{parent=accounts/*}/locations` Lists the locations for the specified account. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/patch` | `PATCH /v4/{name=accounts/*/locations/*}` Updates the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/reportInsights` | `POST /v4/{name=accounts/*}/locations:reportInsights` Returns a report containing insights on one or more metrics by location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/transfer (deprecated)` | `POST /v4/{name=accounts/*/locations/*}:transfer` Moves a location from an account that the user owns to another account that the same user administers. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateFoodMenus` | `PATCH /v4/{foodMenus.name=accounts/*/locations/*/foodMenus}` Updates the food menus of a specific location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateHealthProviderAttributes` | `PATCH /v4/{healthProviderAttributes.name=accounts/*/locations/*/healthProviderAttributes}` Updates the Health provider attributes of a specific location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateServiceList` | `PATCH /v4/{serviceList.name=accounts/*/locations/*/serviceList}` Updates the specified service list of a location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify` | `POST /v4/{name=accounts/*/locations/*}:verify` Starts the verification process for a location. |

## REST Resource: [v4.accounts.locations.admins](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.admins)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.admins/create (deprecated)` | `POST /v4/{parent=accounts/*/locations/*}/admins` Invites the specified user to become an administrator for the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.admins/delete (deprecated)` | `DELETE /v4/{name=accounts/*/locations/*/admins/*}` Removes the specified admin as a manager of the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.admins/list (deprecated)` | `GET /v4/{parent=accounts/*/locations/*}/admins` Lists all of the admins for the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.admins/patch (deprecated)` | `PATCH /v4/{name=accounts/*/locations/*/admins/*}` Updates the Admin for the specified Location Admin. |

## REST Resource: [v4.accounts.locations.followers](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.followers)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.followers/getMetadata` | `GET /v4/{name=accounts/*/locations/*/followers/metadata}` Get the followers settings for a location. |

## REST Resource: [v4.accounts.locations.insuranceNetworks](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks/list` | `GET /v4/{parent=accounts/*/locations/*}/insuranceNetworks` Returns a list of all insurance networks supported by Google. |

## REST Resource: [v4.accounts.locations.localPosts](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/create` | `POST /v4/{parent=accounts/*/locations/*}/localPosts` Creates a new local post associated with the specified location, and returns it. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/delete` | `DELETE /v4/{name=accounts/*/locations/*/localPosts/*}` Deletes a local post. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/get` | `GET /v4/{name=accounts/*/locations/*/localPosts/*}` Gets the specified local post. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/list` | `GET /v4/{parent=accounts/*/locations/*}/localPosts` Returns a list of local posts associated with a location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/patch` | `PATCH /v4/{name=accounts/*/locations/*/localPosts/*}` Updates the specified local post and returns the updated local post. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights` | `POST /v4/{name=accounts/*/locations/*}/localPosts:reportInsights` Returns insights for a set of local posts associated with a single listing. |

## REST Resource: [v4.accounts.locations.media](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/create` | `POST /v4/{parent=accounts/*/locations/*}/media` Creates a new media item for the location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/delete` | `DELETE /v4/{name=accounts/*/locations/*/media/*}` Deletes the specified media item. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/get` | `GET /v4/{name=accounts/*/locations/*/media/*}` Returns metadata for the requested media item. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/list` | `GET /v4/{parent=accounts/*/locations/*}/media` Returns a list of media items associated with a location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/patch` | `PATCH /v4/{name=accounts/*/locations/*/media/*}` Updates metadata of the specified media item. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/startUpload` | `POST /v4/{parent=accounts/*/locations/*}/media:startUpload` Generates a `MediaItemDataRef` for media item uploading. |

## REST Resource: [v4.accounts.locations.media.customers](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media.customers)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media.customers/get` | `GET /v4/{name=accounts/*/locations/*/media/customers/*}` Returns metadata for the requested customer media item. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media.customers/list` | `GET /v4/{parent=accounts/*/locations/*}/media/customers` Returns a list of media items associated with a location that have been contributed by customers. |

## REST Resource: [v4.accounts.locations.questions](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/create` | `POST /v4/{parent=accounts/*/locations/*}/questions` Adds a question for the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/delete` | `DELETE /v4/{name=accounts/*/locations/*/questions/*}` Deletes a specific question written by the current user. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/list` | `GET /v4/{parent=accounts/*/locations/*}/questions` Returns the paginated list of questions and some of its answers for a specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions/patch` | `PATCH /v4/{name=accounts/*/locations/*/questions/*}` Updates a specific question written by the current user. |

## REST Resource: [v4.accounts.locations.questions.answers](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/delete` | `DELETE /v4/{parent=accounts/*/locations/*/questions/*}/answers:delete` Deletes the answer written by the current user to a question. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/list` | `GET /v4/{parent=accounts/*/locations/*/questions/*}/answers` Returns the paginated list of answers for a specified question. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/upsert` | `POST /v4/{parent=accounts/*/locations/*/questions/*}/answers:upsert` Creates an answer or updates the existing answer written by the user for the specified question. |

## REST Resource: [v4.accounts.locations.reviews](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/deleteReply` | `DELETE /v4/{name=accounts/*/locations/*/reviews/*}/reply` Deletes the response to the specified review. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/get` | `GET /v4/{name=accounts/*/locations/*/reviews/*}` Returns the specified review. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/list` | `GET /v4/{parent=accounts/*/locations/*}/reviews` Returns the paginated list of reviews for the specified location. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/updateReply` | `PUT /v4/{name=accounts/*/locations/*/reviews/*}/reply` Updates the reply to the specified review. |

## REST Resource: [v4.accounts.locations.verifications](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/complete` | `POST /v4/{name=accounts/*/locations/*/verifications/*}:complete` Completes a `PENDING` verification. |
| `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/list` | `GET /v4/{parent=accounts/*/locations/*}/verifications` List verifications of a location, ordered by create time. |

## REST Resource: [v4.attributes](https://developers.google.com/my-business/reference/rest/v4/attributes)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/attributes/list` | `GET /v4/attributes` Returns the list of available attributes that would be available for a location with the given primary category and country. |

## REST Resource: [v4.categories](https://developers.google.com/my-business/reference/rest/v4/categories)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/categories/batchGet` | `GET /v4/categories:batchGet` Returns a list of business categories for the provided language and GConcept ids. |
| `https://developers.google.com/my-business/reference/rest/v4/categories/list` | `GET /v4/categories` Returns a list of business categories. |

## REST Resource: [v4.chains](https://developers.google.com/my-business/reference/rest/v4/chains)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/chains/get` | `GET /v4/{name=chains/*}` Gets the specified chain. |
| `https://developers.google.com/my-business/reference/rest/v4/chains/search` | `GET /v4/chains:search` Searches the chain based on chain name. |

## REST Resource: [v4.googleLocations](https://developers.google.com/my-business/reference/rest/v4/googleLocations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/rest/v4/googleLocations/report` | `POST /v4/{name=googleLocations/*}:report` Report a `https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation`. |
| `https://developers.google.com/my-business/reference/rest/v4/googleLocations/search` | `POST /v4/googleLocations:search` Search all of the possible locations that are a match to the specified request. |

## Service: mybusiness.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://mybusiness.googleapis.com/$discovery/rest?version=v4>
- <https://mybusiness.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mybusiness.googleapis.com`

## REST Resource: [v1.media](https://developers.google.com/my-business/reference/media/rest/v1/media)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/media/rest/v1/media/upload` | `POST /v1/media/{resourceName=**}` `POST /upload/v1/media/{resourceName=**}` Uploads media. |